# $Id: perl-NetAddr-IP.spec 694 2007-01-22 00:44:31Z rpmbuild $
#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

%define real_name NetAddr-IP

Summary: Manages IPv4 and IPv6 addresses and subnets
Name: perl-NetAddr-IP
Version: 4.004
Release: %RErelease 1
Epoch: 0
License: Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/NetAddr-IP/
Source0: http://search.cpan.org/CPAN/authors/id/L/LU/LUISMUNOZ/%{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge >= 2

%description
Manages IPv4 and IPv6 addresses and subnets.
This distribution  is designed as a  help for managing  (ranges of) IP
addresses. It includes efficient implementations for most common tasks
done  to subnets or  ranges of  IP addresses,  namely verifying  if an
address is within a subnet, comparing, looping, splitting subnets into
longer prefixes, compacting addresses to the shortest prefixes, etc.

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL \
    INSTALLDIRS="vendor" \
    PREFIX=${RPM_BUILD_ROOT}%{_prefix}
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
# perl 5.6 does not have Test::More
%if 0%{?el2} || 0%{?rh7}
%else
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}" test
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist -o \( -name '*.bs' -a -empty \) \) -exec %{__rm} -fv {} \;
# Allow stripping
%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README TODO docs/rfc1884.txt
%{perl_vendorlib}/*
%doc %{_mandir}/*/*

%changelog
* Sun Jan 21 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.004-1
- First build.

